<?php
require_once('HTML/Template/Flexy.php');
require_once('DB/DataObject.php');

class CustomerTable extends DB_DataObject {
    var $_database_dsn
         = 'pgsql://webdb:password@localhost/webdb';
    var $__table = 'customer';
    function table() {
        return array(
                     'id' => DB_DATAOBJECT_INT,
                     'name' => DB_DATAOBJECT_STR,
                     'company' => DB_DATAOBJECT_STR,
                     'address' => DB_DATAOBJECT_STR,
                     'tel' => DB_DATAOBJECT_STR,
                     'email' => DB_DATAOBJECT_STR,
                     );
    }

    function keys() {
        return array('id');
    }
}

$tbl = new HogeTable;
$tbl->get('id', 22);

$options = array('templateDir' => 'template',
                 'compileDir' => 'compiled');
$tpl = new HTML_Template_Flexy($options);
$tpl->compile('sample7.tpl.html');

$elements = $tpl->getElements();
foreach ($elements as $key => $val) {
    if ($key != 'customerform') {
        $elements[$key]->setValue($tbl->$key);
    }
}

$tbl->title = 'Flexy Sample 7';
$tpl->outputObject($tbl, $elements);
?>